VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
CDrawMode Struct Reference

## Public Member Functions
constexpr | CDrawMode (uint32_t mode=kAliasing)
constexpr | CDrawMode (const CDrawMode &m)=default
constexpr CDrawMode & | operator= (const CDrawMode &m)=default
constexpr uint32_t | modeIgnoringIntegralMode () const
constexpr bool | integralMode () const
constexpr bool | aliasing () const
constexpr bool | antiAliasing () const
CDrawMode & | operator= (uint32_t m)
constexpr uint32_t | operator() () const
constexpr bool | operator== (const CDrawMode &m) const
constexpr bool | operator!= (const CDrawMode &m) const

## Constructor & Destructor Documentation

constexpr CDrawMode | ( | uint32_t | mode = `kAliasing` | ) |
| inline

constexpr CDrawMode | ( | const CDrawMode & | m | ) |
| default

## Member Function Documentation

constexpr bool aliasing | ( |  | ) | const
| inline

constexpr bool antiAliasing | ( |  | ) | const
| inline

constexpr bool integralMode | ( |  | ) | const
| inline

constexpr uint32_t modeIgnoringIntegralMode | ( |  | ) | const
| inline

constexpr bool operator!= | ( | const CDrawMode & | m | ) | const
| inline

constexpr uint32_t operator() | ( |  | ) | const
| inline

constexpr CDrawMode& operator= | ( | const CDrawMode & | m | ) |
| default

CDrawMode& operator= | ( | uint32_t | m | ) |
| inline

constexpr bool operator== | ( | const CDrawMode & | m | ) | const
| inline

The documentation for this struct was generated from the following file:

- cdrawdefs.h